Skip to navigation

Update Execution

Updates a model sync execution's state, used to retry or resolve stalled executions.

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

sync_idstringRequiredformat: "uuid"
idstringRequiredformat: "uuid"
The ID of the execution to update

Headers

X-Polytomic-VersionstringRequired

Request

This endpoint expects an object.
statusenumRequired

Response

OK
dataobjectOptional
The execution

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error